Index: branches/UKMO/dev_r5518_medusa_chg_trc_bio_medusa/NEMOGCM/NEMO/TOP_SRC/MEDUSA/bio_medusa_diag.F90
===================================================================
--- branches/UKMO/dev_r5518_medusa_chg_trc_bio_medusa/NEMOGCM/NEMO/TOP_SRC/MEDUSA/bio_medusa_diag.F90	(revision 8023)
+++ branches/UKMO/dev_r5518_medusa_chg_trc_bio_medusa/NEMOGCM/NEMO/TOP_SRC/MEDUSA/bio_medusa_diag.F90	(revision 8025)
@@ -25,29 +25,24 @@
 CONTAINS
 
-   SUBROUTINE bio_medusa_diag( kt, jk )
+   SUBROUTINE bio_medusa_diag( jk )
       !!-------------------------------------------------------------------
       !!                     ***  ROUTINE bio_medusa_diag  ***
       !! This called from TRC_BIO_MEDUSA and calculates diagnostics
       !!-------------------------------------------------------------------
+      USE bio_med_diag_iomput_mod,  ONLY: bio_med_diag_iomput
+      USE bio_med_diag_trc_mod,     ONLY: bio_med_diag_trc
       USE bio_medusa_mod
-      USE dom_oce,           ONLY: e3t_0, e3t_n, gdepw_0, gdepw_n,       &
-                                   mbathy, tmask
-      USE in_out_manager,    ONLY: lwp, numout
+      USE dom_oce,                  ONLY: e3t_0, e3t_n,                  &
+                                          gdepw_0, gdepw_n, tmask
+      USE in_out_manager,           ONLY: lwp, numout
 # if defined key_iomput
-      USE iom,               ONLY: lk_iomput
-# endif
-      USE par_kind,          ONLY: wp
-      USE par_oce,           ONLY: jpim1, jpjm1
-      USE phycst,            ONLY: rsmall
-      USE sbc_oce,           ONLY: qsr, wndm
-      USE sms_medusa,        ONLY: f2_ccd_arg, f2_ccd_cal,               &
-                                   f3_omarg, f3_omcal, f3_pH,            &
-                                   i0100, i0150, i0200, i0500, i1000,    &
-                                   jdms, ocal_ccd,                       &
-                                   xbetac, xbetan, xpar, xphi, xrfn,     &
-                                   xthetapd, xthetapn, xthetazme, xthetazmi, xze
-      USE trc,               ONLY: ln_diatrc, med_diag, trc2d, trc3d 
+      USE iom,                      ONLY: lk_iomput
+# endif
+      USE par_oce,                  ONLY: jpim1, jpjm1
+      USE sms_medusa,               ONLY: xrfn, xthetapd, xthetapn,      &
+                                          xthetazme, xthetazmi
+      USE trc,                      ONLY: ln_diatrc, med_diag 
 # if defined key_roam
-      USE trcoxy_medusa,     ONLY: oxy_sato
+      USE trcoxy_medusa,            ONLY: oxy_sato
 # endif
 
@@ -55,6 +50,4 @@
 #  include "domzgr_substitute.h90"
 
-      !! time (integer timestep)
-      INTEGER, INTENT( in ) :: kt
       !! level
       INTEGER, INTENT( in ) :: jk
